McpServer Integrations

Update Mcp Server Integration

Update a McpServer integration

post
/v1/integration/mcpserver/{mcpserverIntegrationId}/update

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

mcpserverIntegrationIdstring* Required

The ID of the McpServer integration

Request Body * Required

Request Body Schema: application/json

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

blueprintIdstring

The ID of the blueprint

skillsetIdstring

The ID of the skillset

oAuthConnectionIdstring

The ID of the OAuth connection for IdP-based authentication

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.integration.mcpserver.update(

mcpserverIntegrationId,
{
"name":"string",
"description":"string",
"meta":"object",
"blueprintId":"string",
"skillsetId":"string",
"oAuthConnectionId":"string"
}
)
{
"id":"string"
}
The McpServer integration was updated successfully